opsi4ucs: Paket opsi4ucs ist noch nicht konfiguriert.

MyKey0815
Beiträge: 45
Registriert: 01 Jul 2008, 17:15

opsi4ucs: Paket opsi4ucs ist noch nicht konfiguriert.

Beitragvon MyKey0815 » 13 Jun 2018, 17:59

ich habe auf meinem UCS-Server (4.2-4) das Paket von Opsi aktualiesieren lassen. Leider ging da was schief.

Nun habe ich das Paket über das AppCenter deinstalliert - Server neugestartet - und OPSI wieder installiert. Es kommt zu einer Meldung, dass der Unterprozess auf Fehler gelaufen ist.

installiere ich manuell kommt es zu folgenden Meldungen:

Code: Alles auswählen

root@ucs002254:~# apt-get install opsi4ucs
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.
Statusinformationen werden eingelesen.... Fertig
opsi4ucs ist schon die neueste Version.
0 aktualisiert, 0 neu installiert, 0 zu entfernen und 0 nicht aktualisiert.
2 nicht vollständig installiert oder entfernt.
Nach dieser Operation werden 0 B Plattenplatz zusätzlich benutzt.
Möchten Sie fortfahren? [J/n]
opsi4ucs (4.1.1.5-1) wird eingerichtet ...
File: /etc/pam.d/opsi-auth
Calling joinscript 99opsi4ucs.inst ...
2018-06-13 17:48:42.429451357+02:00 (in joinscript_init)
dpkg: Fehler beim Bearbeiten des Paketes opsi4ucs (--configure):
 Unterprozess installiertes post-installation-Skript gab den Fehlerwert 1 zurück
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von opsi4ucsappcenter:
 opsi4ucsappcenter hängt ab von opsi4ucs (>= 4.1.1.5); aber:
  Paket opsi4ucs ist noch nicht konfiguriert.

dpkg: Fehler beim Bearbeiten des Paketes opsi4ucsappcenter (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
Fehler traten auf beim Bearbeiten von:
 opsi4ucs
 opsi4ucsappcenter
E: Sub-process /usr/bin/dpkg returned an error code (1)


Wie kann ich OPSI komplett entfernen und frisch installieren - bzw. woran liegt es, dass das Update von 4.0.7 nach 4.1 solche Probleme macht?

bernd670
Beiträge: 55
Registriert: 16 Mär 2018, 10:44

Re: opsi4ucs: Paket opsi4ucs ist noch nicht konfiguriert.

Beitragvon bernd670 » 13 Jun 2018, 18:47

Hallo,

ich habe zwar einen ubuntu-Server, aber ich habe mich beim Upgrade genau an die Dokumentation gehalten und hatte keine Probleme.

Gruß
Bernd

Benutzeravatar
n.wenselowski
Beiträge: 2699
Registriert: 04 Apr 2013, 12:15

Re: opsi4ucs: Paket opsi4ucs ist noch nicht konfiguriert.

Beitragvon n.wenselowski » 15 Jun 2018, 12:49

Hi,

schau mal ins Log des Join-Scripts!


Gruß

Niko
Kein Support per DM!
_________________________
opsi support - uib gmbh
For productive opsi installations we recommend support contracts.